#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './ktemperaturewidgetbase.ui'
**
** Created: Sun Sep 2 03:37:11 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "ktemperaturewidgetbase.h"

#include <qvariant.h>
#include <qsplitter.h>
#include <kpushbutton.h>
#include <kactivelabel.h>
#include <knuminput.h>
#include <kurlrequester.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kpushbutton.h"
#include "kactivelabel.h"
#include "knuminput.h"
#include "kurlrequester.h"
#include "kcombobox.h"

/*
 *  Constructs a KTemperatureWidgetBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KTemperatureWidgetBase::KTemperatureWidgetBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ktemperaturewidgetbase" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 10, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( QSize( 110, 0 ) );
    setSizeIncrement( QSize( 1, 1 ) );
    ktemperaturewidgetbaseLayout = new QGridLayout( this, 1, 1, 11, 6, "ktemperaturewidgetbaseLayout"); 

    splitter5 = new QSplitter( this, "splitter5" );
    splitter5->setOrientation( QSplitter::Horizontal );

    setButton = new KPushButton( splitter5, "setButton" );

    cancelButton = new KPushButton( splitter5, "cancelButton" );

    ktemperaturewidgetbaseLayout->addWidget( splitter5, 3, 0 );

    splitter3 = new QSplitter( this, "splitter3" );
    splitter3->setOrientation( QSplitter::Vertical );

    kActiveLabel16 = new KActiveLabel( splitter3, "kActiveLabel16" );

    pollIntrevalBox = new KIntNumInput( splitter3, "pollIntrevalBox" );
    pollIntrevalBox->setValue( 1 );
    pollIntrevalBox->setMinValue( 0 );
    pollIntrevalBox->setMaxValue( 60 );
    pollIntrevalBox->setReferencePoint( 1 );

    ktemperaturewidgetbaseLayout->addWidget( splitter3, 1, 0 );

    splitter4 = new QSplitter( this, "splitter4" );
    splitter4->setOrientation( QSplitter::Vertical );

    kActiveLabel17 = new KActiveLabel( splitter4, "kActiveLabel17" );

    sysMaxTempInput = new KIntNumInput( splitter4, "sysMaxTempInput" );
    sysMaxTempInput->setValue( 70 );
    sysMaxTempInput->setMinValue( 40 );
    sysMaxTempInput->setMaxValue( 80 );

    ktemperaturewidgetbaseLayout->addWidget( splitter4, 0, 0 );

    monitorInterfaceSelect = new KURLComboRequester( this, "monitorInterfaceSelect" );
    monitorInterfaceSelect->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 1, 0, monitorInterfaceSelect->sizePolicy().hasHeightForWidth() ) );
    monitorInterfaceSelect->setAcceptDrops( TRUE );
    monitorInterfaceSelect->setFrameShape( KURLComboRequester::NoFrame );

    ktemperaturewidgetbaseLayout->addWidget( monitorInterfaceSelect, 2, 0 );
    languageChange();
    resize( QSize(450, 229).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( setButton, SIGNAL( clicked() ), this, SLOT( setButton_clicked() ) );
    connect( cancelButton, SIGNAL( clicked() ), this, SLOT( cancelButton_clicked() ) );
    connect( monitorInterfaceSelect, SIGNAL( urlSelected(const QString&) ), this, SLOT( monitorInterfaceSelect_urlSelected(const QString&) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KTemperatureWidgetBase::~KTemperatureWidgetBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KTemperatureWidgetBase::languageChange()
{
    setCaption( tr2i18n( "KTemperature" ) );
    setButton->setText( tr2i18n( "Set" ) );
    cancelButton->setText( tr2i18n( "Cancel" ) );
    kActiveLabel16->setText( tr2i18n( "Polling Interval" ) );
    pollIntrevalBox->setLabel( QString::null );
    kActiveLabel17->setText( tr2i18n( "Maximum Temperature" ) );
    monitorInterfaceSelect->setProperty( "url", tr2i18n( "/proc/acpi/thermal_zone/THRM/temperature" ) );
}

void KTemperatureWidgetBase::button_clicked()
{
    qWarning( "KTemperatureWidgetBase::button_clicked(): Not implemented yet" );
}

void KTemperatureWidgetBase::setButton_clicked()
{
    qWarning( "KTemperatureWidgetBase::setButton_clicked(): Not implemented yet" );
}

void KTemperatureWidgetBase::cancelButton_clicked()
{
    qWarning( "KTemperatureWidgetBase::cancelButton_clicked(): Not implemented yet" );
}

void KTemperatureWidgetBase::monitorInterfaceSelect_urlSelected(const QString&)
{
    qWarning( "KTemperatureWidgetBase::monitorInterfaceSelect_urlSelected(const QString&): Not implemented yet" );
}

#include "ktemperaturewidgetbase.moc"
